commit:     b47b1da6c3307338123fa35f82f78ab56de4fd86
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 28 12:25:39 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Apr 28 13:40:43 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b47b1da6

app-emacs/package-lint: bump to 0.26

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/package-lint/Manifest                 |  1 +
 app-emacs/package-lint/package-lint-0.26.ebuild | 75 +++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/app-emacs/package-lint/Manifest b/app-emacs/package-lint/Manifest
index 9fbb118b60fc..37dbfa8a62a2 100644
--- a/app-emacs/package-lint/Manifest
+++ b/app-emacs/package-lint/Manifest
@@ -1,2 +1,3 @@
 DIST package-lint-0.24.tar.gz 322270 BLAKE2B 
364b3700bc856b4e3c51bfc5702ea76ebdc21e96d4498cd0e9c21269bbb134f53b4bde2cdb2d74ad6ed7fa9719ca8e0117bfa2ec543a56b2366d29d52e52a174
 SHA512 
d4262378ba482f799f036942a2be0cb1df29ed99774a696511531b7ba7350fcc865c7c655ca31bc3b455fc009f088682965c31d4e9c80c592e2c5a8cae911a40
 DIST package-lint-0.25.tar.gz 352513 BLAKE2B 
215413f0547c5fff5ed7e3d3d326d3a8db21aa012e9fa4a197ec7572516d20c72473dafdc02b8bf2b7098785694f7e82f6ff5007e1586fb613a92c85070d6a92
 SHA512 
5fee3083b5dc44e533dddd6a0091b67ab1cea12f34353550a60530013701ab24817e7b4f0e24c9218c5cb36712869ae4d22bcf3e3bce33c6ca665a7699d9fd65
+DIST package-lint-0.26.tar.gz 352503 BLAKE2B 
d9c0b7b260d6cf2b568cd349539a1e6054b254c13516cfb9b836c66a80a6477490997bfdfa3809eb9ae9f1af043b206a9fe15f2d9b02ba1ccf2a0b889712b2d0
 SHA512 
efc8669b9c1ed62e5737c6e40c7f13ead5f03bf5db215840ef817b435a2e7ab30f510de04d835e162f728ec6ccf92c723c7ed7cb598dd1b8ded0958cbb6fe603

diff --git a/app-emacs/package-lint/package-lint-0.26.ebuild 
b/app-emacs/package-lint/package-lint-0.26.ebuild
new file mode 100644
index 000000000000..e6e1f5bdf329
--- /dev/null
+++ b/app-emacs/package-lint/package-lint-0.26.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=26.1
+
+inherit elisp
+
+DESCRIPTION="Linting library for Emacs Lisp package metadata"
+HOMEPAGE="https://github.com/purcell/package-lint/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/purcell/${PN}.git";
+else
+       SRC_URI="https://github.com/purcell/${PN}/archive/${PV}.tar.gz
+               -> ${P}.tar.gz"
+
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+       app-emacs/compat
+"
+BDEPEND="
+       ${RDEPEND}
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.22-load-data-directory.patch"
+)
+
+SITEFILE="50${PN}-gentoo.el"
+
+elisp-enable-tests ert
+
+src_prepare() {
+       elisp_src_prepare
+
+       sed "s|@SITEETC@|${EPREFIX}${SITEETC}/${PN}|" -i "${PN}.el" || die
+
+       # Skip failing test. Tests are marked as "WORK IN PROGRESS" at the
+       # top of the file.
+       local -a skip_tests=(
+               
package-lint-test-accept-new-backported-libraries-with-backport-dep
+               
package-lint-test-accept-new-backported-sub-libraries-with-backport-dep
+               package-lint-test-accept-normal-deps
+               package-lint-test-accepts-compat-call
+               package-lint-test-accepts-compat-require
+               
package-lint-test-accepts-new-backported-functions-with-backport-dep
+               package-lint-test-accepts-new-functions-with-compat
+               package-lint-test-accepts-new-macros-with-compat
+               package-lint-test-error-new-backported-sub-libraries
+               package-lint-test-warn-unversioned-dep
+       )
+       local skip_test=""
+       for skip_test in "${skip_tests[@]}"; do
+               sed -i "/${skip_test}/a (ert-skip nil)" package-lint-test.el || 
die
+       done
+}
+
+src_install() {
+       elisp-install "${PN}" ${PN}{,-flymake}.el{,c}
+       elisp-make-site-file "${SITEFILE}"
+
+       insinto "${SITEETC}/${PN}"
+       doins -r data
+
+       einstalldocs
+}

Reply via email to